apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  name: middleware-amq-redhat
spec:
  acceptors:
  - expose: false
    name: artemis
    port: 61616
    protocols: core,openwire
  - expose: false
    name: mqtt
    port: 1883
    protocols: mqtt
  - expose: false
    name: stomp
    port: 61613
    protocols: stomp
  - expose: false
    name: amqp
    port: 5672
    protocols: amqp
  adminUser: usr-admin
  console:
    expose: false
    sslEnabled: false
  deploymentPlan:
    image: registry.redhat.io/amq7/amq-broker-rhel8:7.11.6
    initImage: registry.redhat.io/amq7/amq-broker-init-rhel8:7.11.6
    messageMigration: true
    persistenceEnabled: true
    requireLogin: true
    resources:
      limits:
        cpu: 500m
        memory: 1024Mi
    size: 2
    storage:
      size: 1024Mi
